# lssmatrix_toolbar.rb ver. 1.0.  11-Jan-12
# The script, which initializes LSS Matrix Toolbar and LSS Matrix submenu

#~ '(C) 2010, Links System Software
#~ 'Feedback information
#~ 'E-mail1: designer@ls-software.ru
#~ 'E-mail2: kirill2007_77@mail.ru (search this e-mail to add skype contact)
#~ 'icq: 328-958-369

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

# Thic class initializes LSS Chronolux Toolbar

class Lss_Matrix_Toolbar
    def initialize
      $lssmatrixToolbar = UI::Toolbar.new $lssmatrixStrings.GetString("LSS Matrix Toolbar")
      $lssmatrixMenu = UI.menu("Plugins").add_submenu($lssmatrixStrings.GetString("LSS Matrix"))
    end
  end #class Lss_Chronolux_Toolbar
  
if( not file_loaded?("lssmatrix_toolbar.rb") )
  lssmatrix_toolbar=Lss_Matrix_Toolbar.new
end

#-----------------------------------------------------------------------------
file_loaded("lssmatrix_toolbar.rb")